#ifdef WIN32
#include <winsock2.h>
#endif
#include <fcf/except.hpp>
#include <fcf/system.hpp>
#include "net.hpp"

namespace fcf {
namespace net {
  void initialize() {
  #ifdef WIN32
    WORD version = MAKEWORD(2, 2);
    WSADATA wsa_data;
    int err = WSAStartup(version, &wsa_data);
    if (err)
      throw fcf::except::net_initialize(fcf::get_system_error_str(WSAGetLastError()));
  #endif
  }
}
}

